org.eclipse.emf.cdo.server.db.mapping

## Interface ITypeMapping.Registry

- Enclosing interface:
    ITypeMapping

      public static interface ITypeMapping.Registry

  A global (singleton) registry which collects all available type mappings which are either available in the CDO core, as declared extensions, or registered manually.
  Since:
    4.0
  Author:
    Stefan Winkler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ITypeMapping.Registry` | `INSTANCE` The one global (singleton) registry instance.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<DBType>` | `getDefaultFeatureMapDBTypes()` Provides a list of all DBTypes for which type mappings exist in the registry.
    `void` | `registerTypeMapping(ITypeMapping.Descriptor descriptor)` Register a type mapping by descriptor.

- - ### Field Detail

    - #### INSTANCE

          static final ITypeMapping.Registry INSTANCE

      The one global (singleton) registry instance.

  - ### Method Detail

    - #### registerTypeMapping

          void registerTypeMapping(ITypeMapping.Descriptor descriptor)

      Register a type mapping by descriptor.

    - #### getDefaultFeatureMapDBTypes

          java.util.Collection<DBType> getDefaultFeatureMapDBTypes()

      Provides a list of all DBTypes for which type mappings exist in the registry. This is used in feature map tables to create columns for all of these types.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html